OpProgress Class Reference
Inheritance diagram for OpProgress:
[legend]
Collaboration diagram for OpProgress:
[legend]

## Public Member Functions

void | Progress (unsigned long long Current)
void | SubProgress (unsigned long long SubTotal, const std::string &Op="", float const Percent=-1)
void | OverallProgress (unsigned long long Current, unsigned long long Total, unsigned long long Size, const std::string &Op)
virtual void | Done ()

## Protected Member Functions

bool | CheckChange (float Interval=0.7)
virtual void | Update ()

## Protected Attributes

std::string | Op
std::string | SubOp
float | Percent
bool | MajorChange

## Friends

class | OpTextProgress

## Member Function Documentation

## Done()

virtual void Done | ( |  | ) |

inline virtual

Reimplemented in OpTextProgress.

The documentation for this class was generated from the following files:

- apt-pkg/contrib/progress.h
- apt-pkg/contrib/progress.cc